Cyberduck Mountain Duck CLI

#1307 closed enhancement (wontfix)

Create temporary file on a server and rename upon successful upload

Reported by: leok7v Owned by: dkocher
Priority: low Milestone:
Component: core Version: 2.7.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

this is preferred way of operation that

  1. will not overwrite files currently being read
  2. will not risk to leave half written file on the server in case of any error / disconnect

Change History (5)

comment:1 Changed on Oct 24, 2007 at 6:31:42 PM by dkocher

  • Milestone set to 2.9
  • Status changed from new to assigned

It would be nice to have this as an option in the Transfer Preferences.

comment:2 Changed on Jan 29, 2008 at 8:50:41 PM by dkocher

  • Priority changed from normal to low
  • Summary changed from create tmp file on a server and rename to dest file upon successful upload to Create temporary file on a server and rename upon successful upload

comment:3 Changed on Feb 10, 2008 at 1:33:51 PM by dkocher

Make use of the STOU command for FTP

comment:4 Changed on Mar 3, 2008 at 5:15:25 PM by dkocher

  • Milestone 2.9 deleted

comment:5 Changed on May 10, 2008 at 8:41:48 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed

Many FTP servers already implement this feature.

Note: See TracTickets for help on using tickets.
swiss made software